mayarin
POST
/v1/quotes

Indicative preview of what a payment would cost in each payer asset. An asset the rate provider cannot price is returned as an unavailable line rather than failing the request.

Header Parameters

Idempotency-Key*string

Stable unique key for this logical write. Keep it unchanged when retrying.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/quotes" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "amount": {      "amount": "string",      "asset": "IDR"    },    "assets": [      "IDR"    ]  }'
{  "source": {    "amount": "string",    "asset": "string",    "formatted": "string",    "display": "string"  },  "quotes": [    {      "asset": "string",      "amount": {        "amount": "string",        "asset": "string",        "formatted": "string",        "display": "string"      },      "rate": {        "scaledRate": "string",        "source": "string"      },      "available": true    }  ]}